libzypp 17.37.10

PoolQuery.cc File Reference
`#include <iostream>`
`#include <sstream>`
`#include <utility>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/Algorithm.h>`
`#include <zypp/base/String.h>`
`#include <zypp/repo/RepoException.h>`
`#include <zypp/RelCompare.h>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/sat/Solvable.h>`
`#include <zypp/base/StrMatcher.h>`
`#include <zypp/PoolQuery.h>`

Go to the source code of this file.

## Classes
class | zypp::PoolQuery::Impl
struct | zypp::MyInserter
struct | zypp::EmptyFilter
struct | zypp::PoolQueryAttr
| represents all atributes in PoolQuery except SolvAtributes, which are used as is (not needed extend anything if someone adds new solv attr) More...
class | zypp::StringTypeAttr
class | zypp::detail::PoolQueryMatcher
| Store PoolQuery settings and assist PoolQueryIterator. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::detail

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "PoolQuery"
#define | OUTS(M, S)
#define | OUTS(M, C)
#define | OUTS(A)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "PoolQuery"

Definition at line 30 of file PoolQuery.cc.

## ◆ OUTS [1/3]

#define OUTS | ( |  | M,
|  |  | S )

Value:
case Match::M: return #S; break

## ◆ OUTS [2/3]

#define OUTS | ( |  | M,
|  |  | C )

Value:
case *#C: return Match::M; break

## ◆ OUTS [3/3]

#define OUTS | ( |  | A | ) |

Value:
if ( A != rhs.A ) return A < rhs.A;